{#
/**
 * @file
 * Default theme implementation for Symfony Email wrapper.
 *
 * Variables:
 * - body: Email body content.
 * - is_html: True if generating HTML output, false for plain text.
 * - type: Email type.
 * - sub_type: Email sub-type.
 * - attributes: HTML attributes for the top-level email element.
 *
 * @see template_preprocess_email_wrap()
 *
 * @ingroup themeable
 */
#}

<!-- Emails use the XHTML Strict doctype -->
{% if is_html %}
  {%
    set classes = [
      'email-type-' ~ type|clean_class,
      'email-sub-type-' ~ sub_type|clean_class,
    ]
  %}


  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  {% block mail_html_header %}
  <html xmlns="http://www.w3.org/1999/xhtml" lang="de" xml:lang="de">
  {#
    TODO: Add more Twig blocks so the child theme is able to override parts more updatesafe
  #}
  <head>
    <style>
      {% block mail_html_head_inline_style %}
        {# This should not needed, switftmailer should attach the library $DEFAULTTHEME/swiftmailer #}
        {#{ source(active_theme_path() ~ "/css/mail.min.css") }#}
      {% endblock %}
    </style>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width">
    <title>{{ subject }}</title>
  </head>
  <body{{ attributes.addClass(classes) }}>
    <span class="preheader"></span>
  {% endblock mail_html_header %}
  <table class="body">
    <tbody>
      <tr>
        <td class="center body-inner" align="center" valign="top">
          <center>
            <table class="container float-center" align="center">
              <tbody>
                <tr>
                  <td>
                    {# Add vertical space #}
                    <table class="spacer">
                      <tbody>
                        <tr>
                          <td style="font-size:16px;line-height:16px;" height="16px">&nbsp;</td>
                        </tr>
                      </tbody>
                    </table>
                    {# END add vertical space #}
                    <table class="row">
                      <tbody>
                        <tr>
                          <th class="small-12 large-12 columns first last">
                            <table class="mail-content">
                              <tbody>
                                <tr>
                                  <th>
                                    {# ========== Header (image) ======== #}
                                    {% block mail_header %}
                                      <img
                                        src="{{ base_path ~ "/" ~ directory }}/build/assets/images/mail_headerimage.png"
                                        class="mail-header-image"
                                        alt="{{ drupal_token('site:name') }} {{ 'Allow images for this email to view the image.'|t }}"
                                        title="{{ drupal_token('site:name') }} {{ 'Allow images for this email to view the image.'|t }}"
                                        align="center"
                                        class="float-center">
                                      {# Add vertical space #}
                                      <table class="spacer">
                                        <tbody>
                                          <tr>
                                            <td style="font-size:16px;line-height:16px;" height="16px">&nbsp;</td>
                                          </tr>
                                        </tbody>
                                      </table>
                                      {# END add vertical space #}
                                    {% endblock mail_header %}
                                    {% block mail_content %}
                                      {# ========== Content ======== #}
                                      {% block mail_heading %}
                                        {#
                                          TODO: Subject / Mail Heading is n/a in symfony mailer
                                          See:
                                        #}
                                        {% if subject %}
                                          <h1>{{ subject }}</h1>
                                        {% endif %}
                                      {% endblock mail_heading %}
                                      {% block mail_body %}
                                        <table class="body-content" align="center">
                                          <tbody>
                                            <tr>
                                              <td>
                                                {{ body }}
                                              </td>
                                            </tr>
                                          </tbody>
                                        </table>
                                      {% endblock mail_body %}
                                    {% endblock mail_content %}
                                  </th>
                                  <th class="expander"></th>
                                </tr>
                              </tbody>
                            </table>
                          </th>
                        </tr>
                      </tbody>
                    </table>

                    {# ========== Footer ======== #}
                    {% block mail_footer %}
                      <table class="mail-footer wrapper secondary" align="center">
                        <tbody>
                          <tr>
                            <td class="wrapper-inner">
                              {# Add vertical space #}
                              <table class="spacer">
                                <tbody>
                                  <tr>
                                    <td style="font-size:16px;line-height:16px;" height="16px">&nbsp;</td>
                                  </tr>
                                </tbody>
                              </table>
                              {# END add vertical space #}
                              <table class="row">
                                <tbody>
                                  <tr>
                                    {% block mail_footer_left %}
                                      <th class="small-12 large-5 columns first" valign="top">
                                        <table>
                                          <tr>
                                            <th class="text-left">
                                              {% apply spaceless %}
                                                {{ drupal_token('project:contact_address_formatted')|raw }}<br>
                                              {% endapply %}
                                            </th>
                                          </tr>
                                        </table>
                                      </th>
                                    {% endblock mail_footer_left %}
                                    {% block mail_footer_right %}
                                      <th class="small-12 large-7 columns" valign="top">
                                        <table>
                                          <tr>
                                            <th class="text-left">
                                              {{ drupal_token('project:company_law')|raw }}<br>
                                            </th>
                                          </tr>
                                        </table>
                                      </th>
                                    {% endblock mail_footer_right %}
                                  </tr>
                                </tbody>
                              </table>
                              {# Add vertical space #}
                              <table class="spacer">
                                <tbody>
                                  <tr>
                                    <td style="font-size:16px;line-height:16px;" height="16px">&nbsp;</td>
                                  </tr>
                                </tbody>
                              </table>
                              {# END add vertical space #}
                              {% block mail_footer_bottom %}
                                <table class="mail-closure">
                                  <tr>
                                    <th>
                                      {# Footer Menu #}
                                      <table class="menu small-vertical text-center">
                                        <tr>
                                          <td>
                                            <center>
                                              <table>
                                                <tr>
                                                  <td class="menu-item">
                                                    <a href="{{ base_url }}" title="{{ 'Visit our website'|t }}">{{ 'Website'|t }}</a>
                                                  </td>
                                                  <td class="menu-item">
                                                    <a href="{{ base_url }}/impressum" title="{{ 'Imprint'|t }}">{{ 'Imprint'|t }}</a>
                                                  </td>
                                                  <td class="menu-item">
                                                    <a href="{{ base_url }}/datenschutz" title="{{ 'Privacy policy'|t }}">{{ 'Privacy policy'|t }}</a>
                                                  </td>
                                                </tr>
                                              </table>
                                            </center>
                                          </td>
                                        </tr>
                                      </table>
                                      {# END Footer Menu #}
                                    </th>
                                  </tr>
                                </table>
                              {% endblock mail_footer_bottom %}
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    {% endblock mail_footer %}
                  </td>
                </tr>
              </tbody>
            </table>
          </center>
          {# Add vertical space #}
          <table class="spacer">
            <tbody>
              <tr>
                <td style="font-size:16px;line-height:16px;" height="16px">&nbsp;</td>
              </tr>
            </tbody>
          </table>
          {# END add vertical space #}
        </td>
      </tr>
    </tbody>
  </table>


  {% block mail_html_footer %}
    {# Fixes font problems on iphone #}
    <div style="display:none; white-space:nowrap; font:15px courier; line-height:0;">
      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
    </div>
  </body>
  </html>
  {% endblock mail_html_footer %}
{% else %}
  {{ body }}
{% endif %}
